Subject: Re: linux-next: build failure after merge of the bcachefs tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 14 Sep 2023 08:31:45 +1000

Hi Andrew,

On Wed, 13 Sep 2023 13:23:30 -0700 Andrew Morton <[email-masked]> wrote:
>
> On Wed, 13 Sep 2023 09:10:11 +0800 Qi Zheng <[email-masked]> wrote:
> 
> > > From: Stephen Rothwell <[email-masked]>
> > > Date: Tue, 12 Sep 2023 11:27:22 +1000
> > > Subject: [PATCH] bcachefs: convert to dynamically allocated shrinkers
> > > 
> > > Signed-off-by: Stephen Rothwell <[email-masked]>
> > > ---
> > >   fs/bcachefs/btree_cache.c     | 22 ++++++++++++----------
> > >   fs/bcachefs/btree_key_cache.c | 21 ++++++++++++---------
> > >   fs/bcachefs/btree_types.h     |  4 ++--
> > >   fs/bcachefs/fs.c              |  2 +-
> > >   fs/bcachefs/sysfs.c           |  2 +-
> > >   5 files changed, 28 insertions(+), 23 deletions(-)  
> > 
> > This version looks good to me.
> > 
> > Reviewed-by: Qi Zheng <[email-masked]>  
> 
> I not longer carry a post-linux-next patch queue, so there's nothing I
> can do with this patch.  I'll assume that either Kent or I will merge
> it later, depending upon whose stuff goes into mainline first.

Actually the correct plan is for you and Kent to inform Linus of the
need for this patch as part of the merge resolution when he merges the
latter of your trees (unless you want to stabilise the shrinker changes
into a separate branch that is never rewritten and is merged into your
tree and the bcachefs tree).

-- 
Cheers,
Stephen Rothwell